#include "Class.h"
#include "olcPixelGameEngine.h"
#include "DEFINES.h"
#include "Player.h"
#include "Effect.h"
#include "Crawler.h"

INCLUDE_MONSTER_LIST
INCLUDE_BULLET_LIST
INCLUDE_game

std::string Ranger::name="Ranger";
Class Ranger::cl=RANGER;
Ability Ranger::rightClickAbility={"Retreat",7,0,VERY_DARK_BLUE,DARK_BLUE};
Ability Ranger::ability1={"Rapid Fire",12,35};
Ability Ranger::ability2={"Charged Shot",15,40};
Ability Ranger::ability3={"Multishot",25,50};
Ability Ranger::ability4={"???",0,0};
AnimationState Ranger::idle_n=RANGER_IDLE_N;
AnimationState Ranger::idle_e=RANGER_IDLE_E;
AnimationState Ranger::idle_s=RANGER_IDLE_S;
AnimationState Ranger::idle_w=RANGER_IDLE_W;
AnimationState Ranger::walk_n=RANGER_WALK_N;
AnimationState Ranger::walk_e=RANGER_WALK_E;
AnimationState Ranger::walk_s=RANGER_WALK_S;
AnimationState Ranger::walk_w=RANGER_WALK_W;

SETUP_CLASS(Ranger)

void Ranger::OnUpdate(float fElapsedTime){

}

bool Ranger::AutoAttack(){
    return false;
}
void Ranger::InitializeClassAbilities(){
    #pragma region Ranger Right-click Ability (???)
        Ranger::rightClickAbility.action=
            [&](){
                return false;
            };
    #pragma endregion
    #pragma region Ranger Ability 1 (???)
        Ranger::ability1.action=
            [&](){
                return false;
            };
    #pragma endregion
    #pragma region Ranger Ability 2 (???)
        Ranger::ability2.action=
            [&](){
                return false;
            };
    #pragma endregion
    #pragma region Ranger Ability 3 (???)
        Ranger::ability3.action=
            [&](){
                return false;
            };
    #pragma endregion
}